# Poco::Util::AbstractConfiguration

# class ScopedLock

Library: Util
Package: Configuration
Header: Poco/Util/AbstractConfiguration.h

## Description

A helper class allowing to temporarily lock an entire AbstractConfiguration, for use by subclasses. A typical use case is loading or saving an entire configuration in a thread-safe way.

Caution: Thoughtless use of this class may easily lead to deadlock situations in connection with events if any of the mutating methods (set...(), remove()) are called with the lock held. Therefore this class is available to subclasses only, not for general use.

## Constructors

### ScopedLock

explicit ScopedLock(
const AbstractConfiguration & c
);

## Destructor

### ~ScopedLock

~ScopedLock();